std::ranges::view_interface< _Derived >(3cxx)

NAME
std::ranges::view_interface< _Derived > - The ranges::view_interface class template.

SYNOPSIS

  Public Member Functions

constexpr decltype(auto) back () const requires bidirectional_range< const _Derived > &&common_range< const _Derived >
constexpr decltype(auto) back () requires bidirectional_range< _Derived > &&common_range< _Derived >
constexpr auto data () const noexcept(noexcept(ranges::begin(_M_derived()))) requires range< const _Derived > &&contiguous_iterator< iterator_t< const _Derived >>
constexpr auto data () noexcept(noexcept(ranges::begin(_M_derived()))) requires contiguous_iterator< iterator_t< _Derived >>
constexpr bool empty () const noexcept(noexcept(_S_empty(_M_derived()))) requires forward_range< const _Derived >
constexpr bool empty () noexcept(noexcept(_S_empty(_M_derived()))) requires forward_range< _Derived >
constexpr decltype(auto) front () const requires forward_range< const _Derived >
constexpr decltype(auto) front () requires forward_range< _Derived >
constexpr operator bool () const noexcept(noexcept(ranges::empty(_M_derived()))) requires requires
constexpr operator bool () noexcept(noexcept(ranges::empty(_M_derived()))) requires requires
template<random_access_range _Range = _Derived> constexpr decltype(auto) operator[] (range_difference_t< _Range > __n)
template<random_access_range _Range = const _Derived> constexpr decltype(auto) operator[] (range_difference_t< _Range > __n) const
constexpr auto size () const noexcept(noexcept(_S_size(_M_derived()))) requires forward_range< const _Derived > &&sized_sentinel_for< sentinel_t< const _Derived >
constexpr auto size () noexcept(noexcept(_S_size(_M_derived()))) requires forward_range< _Derived > &&sized_sentinel_for< sentinel_t< _Derived >

  Public Attributes

constexpr auto iterator_t< _Derived >
constexpr auto iterator_t< const _Derived >

Detailed Description

  template<typename _Derived>
class std::ranges::view_interface< _Derived >" The ranges::view_interface class template.

Author

Generated automatically by Doxygen for libstdc++ from the source code.